Subject: IBIS BIRD66 - [Model Spec] Vref Addition

From: Bob Ross <[email-masked]>
Date: Tue, 16 Nov 1999 17:44:49 -0800

To All:

This is officially issued as BIRD66.

Bob Ross
Mentor Graphics

All,

I would like to submit the following Bird on behalf of
SiQual to modify the current [Model Spec].  It is
attached below

regards,

scott

Scott McMorrow
Principal Engineer
SiQual, Signal Quality Engineering
18735 SW Boones Ferry Road
Tualatin, OR  97062-3090
(503) 885-1231
http://www.siqual.com

******************************************************************************
******************************************************************************

BIRD ID#:       66
ISSUE TITLE:    [Model Spec] Vref Addition
REQUESTER:      Scott McMorrow, SiQual
DATE SUBMITTED: November 15, 1999
DATE ACCEPTED BY IBIS OPEN FORUM: Pending

******************************************************************************
******************************************************************************

STATEMENT OF THE ISSUE:

Vref may need to be different for min and max columns.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

Changes and additions to the [Model Spec] keyword are shown by the |* lines
to add Vref with typ-min-max values:

|=============================================================================
|     Keyword:  [Model Spec]
|    Required:  No
|  Sub-Params:  Vinh, Vinl, Vinh+, Vinh-, Vinl+, Vinl-, S_overshoot_high,
|               S_overshoot_low, D_overshoot_high, D_overshoot_low,
|               D_overshoot_time, Pulse_high, Pulse_low, Pulse_time, Vmeas
|*             Vref
| Description:  The [Model Spec] keyword defines four columns under which
|               specification subparameters are defined.
|
|               The following subparameters are defined:
|               Vinh               Input voltage threshold high
|               Vinl               Input voltage threshold low
|               Vinh+              Hysteresis threshold high max Vt+
|               Vinh-              Hysteresis threshold high min Vt+
|               Vinl+              Hysteresis threshold low max Vt-
|               Vinl-              Hysteresis threshold low min Vt-
|               S_overshoot_high   Static overshoot high voltage
|               S_overshoot_low    Static overshoot low voltage
|               D_overshoot_high   Dynamic overshoot high voltage
|               D_overshoot_low    Dynamic overshoot low voltage
|               D_overshoot_time   Dynamic overshoot time
|               Pulse_high         Pulse immunity high voltage
|               Pulse_low          Pulse immunity low voltage
|               Pulse_time         Pulse immunity time
|
|               Vmeas              Measurement voltage for timing measurements
|*               Vref                  Timing specification test load voltage
|
| Usage Rules:  [Model Spec] must follow all other subparameters under the
|               [Model] keyword.
|
|               For each subparameter contained in the first column, the
|               remaining three hold its typical, minimum and maximum values.
|               The entries of typical, minimum and maximum be must be placed
|               on a single line and must be separated by at least one white
|               space or tab character.  All four columns are required under
|               the [Model Spec] keyword.  However, data is required only in
|               the typical column.  If minimum and/or maximum values are not
|               available, the reserved word "NA" must be used indicating the
|               typical value by default.
|
|               The minimum and maximum values are used for specifications
|               subparameter values that may track the min and max operation
|               conditions of the [Model].  Usually it is related to the
|               Voltage Range settings.
|
|               Unless noted below, each subparameter does not require having
|               any other subparameter.
|
|               Vinh, Vinl rules:
|
|               The threshold subparameter lines provide additional min and
|               max column values, if needed.  The typ column values are still
|               required and would be expected to override the Vinh and Vinl
|               subparameter values specified elsewhere.  Note: the syntax
|               rule that require inserting Vinh and Vinl under models remains
|               unchanged even if the values are defined under the [Model
|               Spec] keyword.
|
|               To mimic a hysteresis effect, the values of Vinh and Vinl may
|               be interchanged such that the Vinl value is larger than the
|               Vinh value.  However, simulators may process this information
|               differently or report an error.
|
|               Vinh+, Vinh-, Vinl+, Vinl- rules:
|
|               The four hysteresis subparmeters must all be defined before
|               the hysteresis threshold rules become effective.  Otherwise
|               the standard threshold subparameters remain in effect.  The
|               hysteresis thresholds shall be at the Vinh+ and Vinh- values
|               for a low-to-high transition, and at the Vinl+ and Vinl-
|               values for a high-to-low transition.
|
|               S_overshoot_high, S_overshoot_low rules:
|
|               The static overshoot subparameters provide the voltage values
|               for which the model is no longer guaranteed to function
|               correctly.
|
|               D_overshoot_high, D_overshoot_low, D_overshoot_time rules:
|
|               The dynamic overshoot values provide a time window during
|               which the overshoot may exceed the static overshoot limits
|               but be below the dynamic overshoot limits.  D_overshoot_time
|               is required for dynamic overshoot testing.  In addition, if
|               D_overshoot_high is specified, then S_overshoot_high is
|               necessary for testing beyond the static limit.  Similarly, if
|               D_overshoot_low is specified, then S_overshoot_low is
|               necessary for testing beyond the static limit.
|
|               Pulse_high, Pulse_low, Pulse_time rules:
|
|               The pulse immunity values provide a time window during which
|               a rising pulse may exceed the nearest threshold value but
|               be below the pulse voltage value and still not cause the
|               input to switch.  Pulse_time is required for pulse immunity
|               testing.  A rising response is tested only if Pulse_high is
|               specified.  Similarly, a falling response is tested only if
|               Pulse_low is specified.  The rising response may exceed the
|               Vinl value, but remain below the Pulse_high value.
|               Similarly, the falling response may drop below the Vinh value,
|               but remain above the Pulse_low value.  In either case the
|               input is regarded as immune to switching if the responses
|               are within these extended windows.  If the hysteresis
|               thresholds are defined, then the rising response shall use
|               Vinh- as the reference voltage, and the falling response shall
|               use Vinl+ as the reference voltage.
|
|              Vmeas rules:
|
|              The Vmeas values under the [Model Spec] keyword override the
|              Vmeas entry elsewhere.
|*
|*             Vref rules:
|*             The Vref values under the [Model Spec] keyword override the
|*             Vref entry elsewhere

|-----------------------------------------------------------------------------
[Model Spec]
|   Subparameter          typ        min        max
|
| Thresholds
|
Vinh                      3.5        3.15       3.85    | 70% of Vcc
Vinl                      1.5        1.35       1.65    | 30% of Vcc
|
| Vinh                    3.835       3.335     4.335   | Offset from Vcc
| Vinl                    3.525       3.025     4.025   | for PECL
|
| Hysteresis
|
Vinh+                     2.0        NA         NA      | Overrides the
Vinh-                     1.6        NA         NA      | thresholds
Vinl+                     1.1        NA         NA
Vinl-                     0.6        NA         NA      | All 4 are required
|
| Overshoot
|
S_overshoot_high          5.5        5.0        6.0     | Static overshoot
S_overshoot_low          -0.5        NA         NA
D_overshoot_high          6.0        5.5        6.5     | Dynamic overshoot
D_overshoot_low          -1.0       -1.0       -1.0     | requires
|                                                       | D_overshoot_time
D_overshoot_time          20n        20n        20n     | & static overshoot
|
| Pulse Immunity
|
Pulse_high                3V         NA         NA      | Pulse immunity
Pulse_low                 0          NA         NA      | requires
Pulse_time                3n         NA         NA      | Pulse_time
|
| Timing Thresholds
|
Vmeas                     3.68       3.18       4.68    | A 5 volt PECL
|                                                       | example
|

|*** ADDED EXAMPLE BELOW:
| Timing test load voltage reference example
|
Vref                   1.25 1.15   1.35    |  An SSTL-2 example
|
|*** END OF ADDED EXAMPLE
|=============================================================================

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

BIRDxx is issued because the Timing specification test load voltage
value Vref defined under the [Model] keyword changes with the Vcc
reference voltage for some technologies (such as SSTL-2) when used
for the min or max column.  This will cause incorrect timing test load
corrections to be created for the min and max corners.

Adding Vref to the [Model Spec] section is necessary to correctly
simulate output timing and skew across the entire process range.
A simple typical Vref value, as is currently used, will cause some
simulators to report incorrect delay due to improper measurement
of the output timing parameters.

Device output timing specifications for SSTL-2 for DDR devices
are guaranteed into the following standard load for the typical
case:

Cref = 30.000000pF
Vref = 1.50000V
Rref = 50.000000

For the minimum case:

Cref = 30.000000pF
Vref = 1.15000V
Rref = 50.000000

For the maximum case:

Cref = 30.000000pF
Vref = 1.35000V
Rref = 50.000000

It is impossible to correlate device output performance to
only a typical test load with the current method.  This enhancement
to the [Model Spec] was incorrectly excluded from the previous
BIRD 55.

The inclusion of a simple timing measurement threshold region
should also be considered for inclusion into this bird.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION:

******************************************************************************